summaryrefslogtreecommitdiff
path: root/sys-apps/groff
diff options
context:
space:
mode:
authorroot <root@alpha.trunkmasters.com>2026-06-12 19:09:37 -0500
committerroot <root@alpha.trunkmasters.com>2026-06-12 19:09:37 -0500
commitb590c8d7572b727d565cc0b8ff660d43569845de (patch)
tree06f7a4102ea4e845df8b66660f252920d52952f9 /sys-apps/groff
parent24f9cbfc4c34fdb6a6e03311674414e881ceab47 (diff)
downloadbaldeagleos-repo-b590c8d7572b727d565cc0b8ff660d43569845de.tar.gz
baldeagleos-repo-b590c8d7572b727d565cc0b8ff660d43569845de.tar.xz
baldeagleos-repo-b590c8d7572b727d565cc0b8ff660d43569845de.zip
Adding metadata
Diffstat (limited to 'sys-apps/groff')
-rw-r--r--sys-apps/groff/Manifest1
-rw-r--r--sys-apps/groff/files/groff-1.19.2-man-unicode-dashes.patch24
-rw-r--r--sys-apps/groff/files/groff-1.23.0-man-unicode-fix.patch41
-rw-r--r--sys-apps/groff/files/groff-1.23.0-musl-getopt.patch11
-rw-r--r--sys-apps/groff/groff-1.23.0-r1.ebuild116
-rw-r--r--sys-apps/groff/groff-1.23.0-r2.ebuild116
-rw-r--r--sys-apps/groff/metadata.xml16
7 files changed, 325 insertions, 0 deletions
diff --git a/sys-apps/groff/Manifest b/sys-apps/groff/Manifest
new file mode 100644
index 000000000000..ed185d7c27bf
--- /dev/null
+++ b/sys-apps/groff/Manifest
@@ -0,0 +1 @@
+DIST groff-1.23.0.tar.gz 7433031 BLAKE2B 9fc5a2302f034761a17f0639a04b82c536ba8a7db15b062dd736e0011fc5a27fddcaf035af128d09f06762825d9bb965e8f5561e4be7a9fea3fe86ca5f6cb2dd SHA512 eff473fd1d0e6b27527318452ef2b7c6c7aba0b1c27fc529036496eccba5717f3639df0b81a297a57f700e27543196d7086b15e43d7e3c7bf075f95feb7f4089
diff --git a/sys-apps/groff/files/groff-1.19.2-man-unicode-dashes.patch b/sys-apps/groff/files/groff-1.19.2-man-unicode-dashes.patch
new file mode 100644
index 000000000000..276460f10b6f
--- /dev/null
+++ b/sys-apps/groff/files/groff-1.19.2-man-unicode-dashes.patch
@@ -0,0 +1,24 @@
+format dashes as dashes so as to not confuse people
+
+http://bugs.gentoo.org/16108
+http://bugs.gentoo.org/17580
+http://bugs.gentoo.org/121502
+
+--- a/tmac/man.local
++++ b/tmac/man.local
+@@ -1,2 +1,6 @@
+ .\" This file is loaded after an-old.tmac.
+ .\" Put any local modifications to an-old.tmac here.
++.if '\*[.T]'utf8' \{\
++. char \- \N'45'
++. char - \N'45'
++.\}
+--- a/tmac/mdoc.local
++++ b/tmac/mdoc.local
+@@ -1,2 +1,6 @@
+ .\" This file is loaded after doc.tmac.
+ .\" Put any local modifications to doc.tmac here.
++.if '\*[.T]'utf8' \{\
++. char \- \N'45'
++. char - \N'45'
++.\}
diff --git a/sys-apps/groff/files/groff-1.23.0-man-unicode-fix.patch b/sys-apps/groff/files/groff-1.23.0-man-unicode-fix.patch
new file mode 100644
index 000000000000..49a6cc589d60
--- /dev/null
+++ b/sys-apps/groff/files/groff-1.23.0-man-unicode-fix.patch
@@ -0,0 +1,41 @@
+format dashes as dashes so as to not confuse people
+
+groff 1.23.0 also changed the "utf8" device to render
+"^" and "~" as U+02C6 and U+02DC respectively.
+this causes similar searchability/copy-paste issue
+especially for ~ which is often used to denote $HOME path.
+
+http://bugs.gentoo.org/16108
+http://bugs.gentoo.org/17580
+http://bugs.gentoo.org/121502
+
+--- a/tmac/man.local
++++ b/tmac/man.local
+@@ -1,6 +1,12 @@
+ .\" This file is loaded by an.tmac.
+ .\"
+ .\" Put local modifications to groff_man(7)'s behavior here.
++.if '\*[.T]'utf8' \{\
++. char \- \N'45'
++. char - \N'45'
++. char ^ \[ha]
++. char ~ \[ti]
++.\}
+ .\"
+ .\" Change "0" to "1" to enable OSC 8 links on SGR-capable grotty(1)
+ .\" output devices.
+--- a/tmac/mdoc.local
++++ b/tmac/mdoc.local
+@@ -1,6 +1,12 @@
+ .\" This file is loaded by mdoc.tmac.
+ .\"
+ .\" Put local modifications to groff_mdoc(7)'s behavior here.
++.if '\*[.T]'utf8' \{\
++. char \- \N'45'
++. char - \N'45'
++. char ^ \[ha]
++. char ~ \[ti]
++.\}
+ .\"
+ .\" "CW" is not a portable font name, but some man pages use it anyway.
+ .\" Uncomment this to suppress warnings produced by such pages. This
diff --git a/sys-apps/groff/files/groff-1.23.0-musl-getopt.patch b/sys-apps/groff/files/groff-1.23.0-musl-getopt.patch
new file mode 100644
index 000000000000..d603ed98dc4e
--- /dev/null
+++ b/sys-apps/groff/files/groff-1.23.0-musl-getopt.patch
@@ -0,0 +1,11 @@
+--- a/src/libs/libgroff/getopt.c
++++ b/src/libs/libgroff/getopt.c
+@@ -122,7 +122,7 @@
+ whose names are inconsistent. */
+
+ #ifndef getenv
+-extern char *getenv ();
++extern char *getenv (const char *);
+ #endif
+
+ #endif /* not __GNU_LIBRARY__ */
diff --git a/sys-apps/groff/groff-1.23.0-r1.ebuild b/sys-apps/groff/groff-1.23.0-r1.ebuild
new file mode 100644
index 000000000000..dbf71d8b4bb8
--- /dev/null
+++ b/sys-apps/groff/groff-1.23.0-r1.ebuild
@@ -0,0 +1,116 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit toolchain-funcs
+
+MY_P="${P/_/.}"
+DESCRIPTION="Text formatter used for man pages"
+HOMEPAGE="https://www.gnu.org/software/groff/groff.html"
+
+if [[ ${PV} == *_rc* ]] ; then
+ SRC_URI="https://alpha.gnu.org/gnu/groff/${MY_P}.tar.gz"
+else
+ SRC_URI="mirror://gnu/groff/${MY_P}.tar.gz"
+ KEYWORDS="~alpha amd64 arm arm64 ~hppa ~loong ~m68k ~mips ppc ppc64 ~riscv ~s390 ~sparc x86 ~arm64-macos ~x64-macos ~x64-solaris"
+fi
+
+S="${WORKDIR}/${MY_P}"
+
+LICENSE="GPL-2"
+SLOT="0"
+IUSE="examples uchardet X"
+
+RDEPEND="
+ uchardet? ( app-i18n/uchardet )
+ X? (
+ x11-libs/libICE
+ x11-libs/libSM
+ x11-libs/libX11
+ x11-libs/libXaw
+ x11-libs/libXmu
+ x11-libs/libXt
+ )
+"
+DEPEND="${RDEPEND}"
+BDEPEND="
+ dev-lang/perl
+ sys-apps/texinfo
+ sys-devel/m4
+"
+
+DOCS=( BUG-REPORT ChangeLog MORE.STUFF NEWS PROBLEMS PROJECTS README TODO )
+
+QA_CONFIG_IMPL_DECL_SKIP=(
+ # False positive with older autoconf, will be fixed w/ autoconf-2.72
+ static_assert
+)
+
+PATCHES=(
+ # bug #16108, bug #17580, bug #121502
+ "${FILESDIR}"/${PN}-1.19.2-man-unicode-dashes.patch
+ "${FILESDIR}"/${PN}-1.23.0-musl-getopt.patch
+)
+
+src_prepare() {
+ default
+
+ # Honor Gentoo's docdir
+ sed -i -e "s|^docdir =.*|docdir = \"${EPREFIX}/usr/share/doc/${PF}\"|g" \
+ Makefile.in \
+ || die "failed to modify Makefile.in"
+
+ local pfx=$(usex prefix ' Prefix' '')
+ cat <<-EOF >> tmac/mdoc.local || die
+ .ds volume-operating-system Gentoo${pfx}
+ .ds operating-system Gentoo${pfx}/${KERNEL}
+ .ds default-operating-system Gentoo${pfx}/${KERNEL}
+ EOF
+
+ # make sure we don't get a crappy `g' nameprefix on UNIX systems with real
+ # troff (GROFF_G macro runs some test to see, its own troff doesn't satisfy)
+ sed -i -e 's/^[ \t]\+g=g$/g=/' configure || die
+}
+
+src_configure() {
+ local myeconfargs=(
+ --with-appdefdir="${EPREFIX}"/usr/share/X11/app-defaults
+ --without-compatibility-wrappers # for Prefix
+ $(use_with uchardet)
+ $(use_with X x)
+ )
+
+ econf "${myeconfargs[@]}"
+}
+
+src_compile() {
+ local -a CROSS_ARGS
+ tc-is-cross-compiler && CROSS_ARGS+=(
+ GROFFBIN="$(type -P groff)"
+ TROFFBIN="$(type -P troff)"
+ GROFF_BIN_DIR=
+ GROFF_BIN_PATH=
+ )
+
+ emake AR="$(tc-getAR)" "${CROSS_ARGS[@]}"
+}
+
+src_install() {
+ default
+
+ # The following links are required for man, bug #123674
+ dosym eqn /usr/bin/geqn
+ dosym tbl /usr/bin/gtbl
+
+ if ! use examples ; then
+ # The pdf files might not be generated if ghostscript is unavailable, bug #602020
+ local pdf="${ED}/usr/share/doc/${PF}/examples/mom/mom-pdf.pdf"
+ if [[ -e ${pdf} ]] ; then
+ # Keep mom-pdf.pdf since it's more of a manual than an example
+ # bug #454196 and bug #516732
+ mv "${pdf}" "${ED}/usr/share/doc/${PF}/pdf/" || die
+ fi
+ rm -rf "${ED}/usr/share/doc/${PF}/examples"
+ fi
+}
diff --git a/sys-apps/groff/groff-1.23.0-r2.ebuild b/sys-apps/groff/groff-1.23.0-r2.ebuild
new file mode 100644
index 000000000000..f47323fa068a
--- /dev/null
+++ b/sys-apps/groff/groff-1.23.0-r2.ebuild
@@ -0,0 +1,116 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit toolchain-funcs
+
+MY_P="${P/_/.}"
+DESCRIPTION="Text formatter used for man pages"
+HOMEPAGE="https://www.gnu.org/software/groff/groff.html"
+
+if [[ ${PV} == *_rc* ]] ; then
+ SRC_URI="https://alpha.gnu.org/gnu/groff/${MY_P}.tar.gz"
+else
+ SRC_URI="mirror://gnu/groff/${MY_P}.tar.gz"
+ KEYWORDS="~alpha amd64 arm arm64 ~hppa ~loong ~m68k ~mips ppc ppc64 ~riscv ~s390 ~sparc x86 ~arm64-macos ~x64-macos ~x64-solaris"
+fi
+
+S="${WORKDIR}/${MY_P}"
+
+LICENSE="GPL-2"
+SLOT="0"
+IUSE="examples uchardet X"
+
+RDEPEND="
+ uchardet? ( app-i18n/uchardet )
+ X? (
+ x11-libs/libICE
+ x11-libs/libSM
+ x11-libs/libX11
+ x11-libs/libXaw
+ x11-libs/libXmu
+ x11-libs/libXt
+ )
+"
+DEPEND="${RDEPEND}"
+BDEPEND="
+ dev-lang/perl
+ sys-apps/texinfo
+ sys-devel/m4
+"
+
+DOCS=( BUG-REPORT ChangeLog MORE.STUFF NEWS PROBLEMS PROJECTS README TODO )
+
+QA_CONFIG_IMPL_DECL_SKIP=(
+ # False positive with older autoconf, will be fixed w/ autoconf-2.72
+ static_assert
+)
+
+PATCHES=(
+ # bug #16108, bug #17580, bug #121502
+ "${FILESDIR}"/${PN}-1.23.0-man-unicode-fix.patch
+ "${FILESDIR}"/${PN}-1.23.0-musl-getopt.patch
+)
+
+src_prepare() {
+ default
+
+ # Honor Gentoo's docdir
+ sed -i -e "s|^docdir =.*|docdir = \"${EPREFIX}/usr/share/doc/${PF}\"|g" \
+ Makefile.in \
+ || die "failed to modify Makefile.in"
+
+ local pfx=$(usex prefix ' Prefix' '')
+ cat <<-EOF >> tmac/mdoc.local || die
+ .ds volume-operating-system Gentoo${pfx}
+ .ds operating-system Gentoo${pfx}/${KERNEL}
+ .ds default-operating-system Gentoo${pfx}/${KERNEL}
+ EOF
+
+ # make sure we don't get a crappy `g' nameprefix on UNIX systems with real
+ # troff (GROFF_G macro runs some test to see, its own troff doesn't satisfy)
+ sed -i -e 's/^[ \t]\+g=g$/g=/' configure || die
+}
+
+src_configure() {
+ local myeconfargs=(
+ --with-appdefdir="${EPREFIX}"/usr/share/X11/app-defaults
+ --without-compatibility-wrappers # for Prefix
+ $(use_with uchardet)
+ $(use_with X x)
+ )
+
+ econf "${myeconfargs[@]}"
+}
+
+src_compile() {
+ local -a CROSS_ARGS
+ tc-is-cross-compiler && CROSS_ARGS+=(
+ GROFFBIN="$(type -P groff)"
+ TROFFBIN="$(type -P troff)"
+ GROFF_BIN_DIR=
+ GROFF_BIN_PATH=
+ )
+
+ emake AR="$(tc-getAR)" "${CROSS_ARGS[@]}"
+}
+
+src_install() {
+ default
+
+ # The following links are required for man, bug #123674
+ dosym eqn /usr/bin/geqn
+ dosym tbl /usr/bin/gtbl
+
+ if ! use examples ; then
+ # The pdf files might not be generated if ghostscript is unavailable, bug #602020
+ local pdf="${ED}/usr/share/doc/${PF}/examples/mom/mom-pdf.pdf"
+ if [[ -e ${pdf} ]] ; then
+ # Keep mom-pdf.pdf since it's more of a manual than an example
+ # bug #454196 and bug #516732
+ mv "${pdf}" "${ED}/usr/share/doc/${PF}/pdf/" || die
+ fi
+ rm -rf "${ED}/usr/share/doc/${PF}/examples"
+ fi
+}
diff --git a/sys-apps/groff/metadata.xml b/sys-apps/groff/metadata.xml
new file mode 100644
index 000000000000..d29368cbd799
--- /dev/null
+++ b/sys-apps/groff/metadata.xml
@@ -0,0 +1,16 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://docs.baldeagleos.com/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>base-system@gentoo.org</email>
+ <name>Gentoo Base System</name>
+ </maintainer>
+ <use>
+ <flag name="uchardet">Enable automatic encoding detection via <pkg>app-i18n/uchardet</pkg>
+ </flag>
+ </use>
+ <upstream>
+ <remote-id type="cpe">cpe:/a:gnu:groff</remote-id>
+ </upstream>
+ <origin>baldeagleos-repo</origin>
+</pkgmetadata>